import ConventionDataHeader from './ConventionDateHeader';
import ConventionDetails from './ConventionDetails';
export default function ConventionEvent(props) {
  const {
    events,
    demConventionReporterNote,
    gopConventionReporterNote,
    tracking
  } = props;
  const conventionEvent = events[0];
  if (!conventionEvent) {
    return null;
  }
  return <>
      <ConventionDataHeader startDate={conventionEvent.startDate} endDate={conventionEvent.endDate} />
      <ConventionDetails demConventionReporterNote={demConventionReporterNote} gopConventionReporterNote={gopConventionReporterNote} tracking={tracking} {...conventionEvent} />
    </>;
}